<html>
<head>
    <title>Proposed Edits</title>
</head>
<body>

    <h1>Input</h1>
    <ul>
        <li> URL: {{url}}</li>
    </ul>
    <h1>Proposals</h1>
    <!-- edits variable holds a list of edits -->
    {% for edit in edits %}
        <h2>Claim: {{edit['claim']}}</h2>
        <ul>
            <li>Comment: {{edit['comment']}}</li>
            <li>Verification: {{edit['verification']['result']['explanation']}}</li>
            <li>Edited Article: <a href="https://en.wikipedia.org/wiki/{{edit['edit_to_article']}}">{{edit['edit_to_article']}}</a></li>
        </ul>
        {% if edit['html_diff'] %}
            <h3> Proposed Diff </h3>
            <h4> Old Version</h4>
            <iframe src="data:text/html;charset=utf-8,{{edit['html_diff']['old_html'] | urlencode}}" width="100%" height="500px"></iframe>
            <h4> New Version</h4>
            <iframe src="data:text/html;charset=utf-8,{{edit['html_diff']['new_html'] | urlencode}}" width="100%" height="500px"></iframe>
        {% endif %}
    {% endfor %}
</body>
</html>
